stages:
  - check

check:
  stage: check
  image: registry.cern.ch/docker.io/library/python:3.10
  before_script:
    - pip install pre-commit
  script:
    - pre-commit run --all-files
  variables:
    PRE_COMMIT_HOME: ${CI_PROJECT_DIR}/.cache/pre-commit
  cache:
    paths:
      - ${PRE_COMMIT_HOME}
